GuidesAPI EndpointsChangelog
Log In
API Endpoints
These docs are for v2025.01. Click to read the latest docs for v2025.07.

/2025-01/partners/menus/{menu_id}/items

Create an item for a given menu

Path Params
int32
required
Body Params
string
required

Unique external identifier for this menu item; max of 256 characters

string

Name for this menu item

string

Description for this menu item

string

Image URL for this menu item; will be downloaded asynchronously once per unique URL

int32

Integer timestamp of last image update; used to force re-download of a previously cached image

float

The quantity that should be sent via Orders API for every one of these items in the cart; defaults to 1 on an item without variants

int32

The amount for this menu item available for purchase; a value of 0 will not unpublish the item

int32

Items per pack for this menu item

boolean

Whether or not this item is visible on weedmaps.com; items with inventory_quantity of zero will continue to show up to consumers until published is set to false

boolean

Whether or not this menu item can be purchased online

string
enum
Defaults to recreational

The license requirements to purchase this menu item

Allowed:
string
enum

The genetics classification for this menu item

Allowed:
string

The custom brand name for this menu item, which will be used to autolink to a matching brand on WM (if applicable); cannot be combined with brand_id

int32

The brand associated to this menu item; cannot be combined with brand_name

string

Similar to an external_id, this represents the product ID in your system; Weedmaps can then use this ID to link to your products to ours once that link has been established at least once

int32

The product ID for this menu item, where this product's associations may be used for display on WM in place of the ones directly on this item, such as categories, strain, or tags; may skip providing a brand_id attribute when this is provided

int32

The strain ID for this menu item; cannot be combined with strain_name

string

The strain name for this menu item, which will be used to autolink to a matching strain on WM (if applicable); cannot be combined with strain_id

category_ids
array of int32s

The category IDs for this menu item; cannot be combined with category_names

category_ids
category_names
array of strings

The category names for this menu item, where WM will attempt to automatically link exact categories; the first name in the list has the highest priority to match

category_names
cannabinoids
array of objects
cannabinoids
terpenes
array of objects
terpenes
tag_ids
array of int32s

The tag IDs for this menu item; cannot be combined with tag_names

tag_ids
tag_names
array of strings

The tag names for this menu item, which will be used to autolink to matching tags on WM (if applicable); cannot be combined with tag_ids

tag_names
compliance
object

Compliance information for this item; nullified when variants are provided

price
object

The price for this menu item; cannot be combined with variants

variants
array of objects
variants
sale
object
Headers
string

A valid bearer token for the client or user accessing the API. Format: "Bearer TOKEN_VALUE"

Responses

Language
Credentials
OAuth2
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json